	.text
#APP
	.symver __ieee754_expf128,__expf128_finite@GLIBC_2.26
	.globl	__unordtf2
	.globl	__getf2
	.globl	__letf2
	.globl	__multf3
	.globl	__addtf3
	.globl	__subtf3
	.globl	__fixtfsi
	.globl	__lttf2
#NO_APP
	.p2align 4,,15
	.globl	__ieee754_expf128
	.type	__ieee754_expf128, @function
__ieee754_expf128:
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbp
	pushq	%rbx
	subq	$104, %rsp
	movdqa	.LC1(%rip), %xmm1
	movaps	%xmm0, (%rsp)
	call	__unordtf2@PLT
	testq	%rax, %rax
	jne	.L2
	movdqa	.LC1(%rip), %xmm1
	movdqa	(%rsp), %xmm0
	call	__getf2@PLT
	testq	%rax, %rax
	jns	.L2
	movdqa	.LC2(%rip), %xmm1
	movdqa	(%rsp), %xmm0
	call	__unordtf2@PLT
	testq	%rax, %rax
	jne	.L3
	movdqa	.LC2(%rip), %xmm1
	movdqa	(%rsp), %xmm0
	call	__letf2@PLT
	testq	%rax, %rax
	jg	.L14
.L3:
	movdqa	(%rsp), %xmm2
	pand	.LC18(%rip), %xmm2
	movdqa	.LC19(%rip), %xmm1
	movdqa	%xmm2, %xmm0
	movaps	%xmm2, (%rsp)
	call	__unordtf2@PLT
	testq	%rax, %rax
	jne	.L10
	movdqa	(%rsp), %xmm2
	movdqa	.LC19(%rip), %xmm1
	movdqa	%xmm2, %xmm0
	call	__letf2@PLT
	testq	%rax, %rax
	pxor	%xmm2, %xmm2
	jg	.L1
.L10:
	movdqa	.LC20(%rip), %xmm1
	movdqa	%xmm1, %xmm0
	call	__multf3@PLT
	movdqa	%xmm0, %xmm2
.L1:
	addq	$104, %rsp
	movdqa	%xmm2, %xmm0
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	ret
	.p2align 4,,10
	.p2align 3
.L2:
	movdqa	.LC21(%rip), %xmm1
	movdqa	(%rsp), %xmm0
	call	__multf3@PLT
	movdqa	%xmm0, %xmm2
	jmp	.L1
	.p2align 4,,10
	.p2align 3
.L14:
	leaq	64(%rsp), %r13
	leaq	__expf128_table(%rip), %r12
	movq	%r13, %rdi
	call	__GI_feholdexcept
	xorl	%edi, %edi
	call	__GI_fesetround
	movdqa	(%rsp), %xmm0
	movdqa	.LC3(%rip), %xmm1
	call	__multf3@PLT
	movdqa	.LC4(%rip), %xmm1
	call	__addtf3@PLT
	movdqa	.LC4(%rip), %xmm1
	call	__subtf3@PLT
	movdqa	.LC5(%rip), %xmm1
	movaps	%xmm0, 32(%rsp)
	call	__multf3@PLT
	movdqa	%xmm0, %xmm1
	movdqa	(%rsp), %xmm0
	call	__subtf3@PLT
	movdqa	.LC6(%rip), %xmm1
	movaps	%xmm0, (%rsp)
	movdqa	32(%rsp), %xmm0
	call	__multf3@PLT
	movdqa	.LC7(%rip), %xmm1
	movaps	%xmm0, 16(%rsp)
	movdqa	(%rsp), %xmm0
	call	__addtf3@PLT
	movdqa	.LC7(%rip), %xmm1
	call	__subtf3@PLT
	movdqa	.LC8(%rip), %xmm1
	call	__multf3@PLT
	call	__fixtfsi@PLT
	leal	178(%rax,%rax), %ebp
	movl	%eax, %ebx
	movdqa	(%rsp), %xmm0
	addl	$709, %ebx
	movslq	%ebp, %rax
	addl	$1, %ebp
	movslq	%ebx, %rbx
	salq	$4, %rax
	movslq	%ebp, %rbp
	salq	$4, %rbx
	movdqa	(%r12,%rax), %xmm1
	salq	$4, %rbp
	call	__subtf3@PLT
	movdqa	(%r12,%rbp), %xmm1
	movaps	%xmm0, (%rsp)
	movdqa	16(%rsp), %xmm0
	call	__subtf3@PLT
	movdqa	.LC9(%rip), %xmm1
	movaps	%xmm0, 16(%rsp)
	movdqa	(%rsp), %xmm0
	call	__addtf3@PLT
	movdqa	.LC9(%rip), %xmm1
	call	__subtf3@PLT
	movdqa	.LC10(%rip), %xmm1
	call	__multf3@PLT
	call	__fixtfsi@PLT
	leal	488(%rax,%rax), %r14d
	movl	%eax, %ebp
	movdqa	(%rsp), %xmm0
	addl	$864, %ebp
	movslq	%r14d, %rax
	addl	$1, %r14d
	movslq	%ebp, %rbp
	salq	$4, %rax
	movslq	%r14d, %r14
	salq	$4, %rbp
	movdqa	(%r12,%rax), %xmm1
	salq	$4, %r14
	call	__subtf3@PLT
	movdqa	(%r12,%r14), %xmm1
	movaps	%xmm0, (%rsp)
	movdqa	16(%rsp), %xmm0
	call	__subtf3@PLT
	movdqa	(%rsp), %xmm1
	call	__addtf3@PLT
	movdqa	(%r12,%rbp), %xmm1
	movaps	%xmm0, (%rsp)
	movdqa	(%r12,%rbx), %xmm0
	call	__multf3@PLT
	movaps	%xmm0, 16(%rsp)
	movq	24(%rsp), %r15
	movq	16(%rsp), %r14
	movdqa	32(%rsp), %xmm0
	movq	%r14, 16(%rsp)
	movq	%r15, 24(%rsp)
	call	__fixtfsi@PLT
	cltd
	movl	%eax, %esi
	movabsq	$-9223090561878065153, %rdi
	movl	%edx, %ebx
	movdqa	.LC11(%rip), %xmm1
	xorl	%eax, %ebx
	subl	%edx, %ebx
	movq	%r15, %rdx
	cmpl	$14999, %ebx
	movdqa	(%rsp), %xmm0
	setg	%cl
	shrq	$48, %rdx
	addw	$16383, %ax
	sarl	%cl, %esi
	movq	%r15, %rcx
	addq	%rsi, %rdx
	subl	%esi, %eax
	andq	%rdi, %rcx
	andl	$32767, %edx
	andl	$32767, %eax
	xorl	%edi, %edi
	salq	$48, %rdx
	salq	$48, %rax
	movq	%rdi, 32(%rsp)
	orq	%rdx, %rcx
	movq	%rax, 40(%rsp)
	movq	%rcx, 24(%rsp)
	call	__multf3@PLT
	movdqa	.LC12(%rip), %xmm1
	call	__addtf3@PLT
	movdqa	(%rsp), %xmm1
	call	__multf3@PLT
	movdqa	.LC13(%rip), %xmm1
	call	__addtf3@PLT
	movdqa	(%rsp), %xmm1
	call	__multf3@PLT
	movdqa	.LC14(%rip), %xmm1
	call	__addtf3@PLT
	movdqa	(%rsp), %xmm1
	call	__multf3@PLT
	movdqa	.LC15(%rip), %xmm1
	call	__addtf3@PLT
	movdqa	(%rsp), %xmm1
	call	__multf3@PLT
	movdqa	.LC16(%rip), %xmm1
	call	__addtf3@PLT
	movdqa	(%rsp), %xmm3
	movaps	%xmm0, 48(%rsp)
	movdqa	%xmm3, %xmm1
	movdqa	%xmm3, %xmm0
	call	__multf3@PLT
	movdqa	%xmm0, %xmm1
	movdqa	48(%rsp), %xmm0
	call	__multf3@PLT
	movdqa	(%rsp), %xmm1
	call	__addtf3@PLT
	movq	%r13, %rdi
	movaps	%xmm0, (%rsp)
	call	__GI_fesetenv
	movdqa	(%rsp), %xmm1
	movdqa	16(%rsp), %xmm0
	call	__multf3@PLT
	movdqa	16(%rsp), %xmm1
	call	__addtf3@PLT
	cmpl	$14999, %ebx
	movdqa	%xmm0, %xmm2
	jle	.L1
	movdqa	32(%rsp), %xmm1
	call	__multf3@PLT
	movdqa	.LC17(%rip), %xmm1
	movaps	%xmm0, (%rsp)
	call	__lttf2@PLT
	testq	%rax, %rax
	movdqa	(%rsp), %xmm2
	jns	.L1
	movdqa	%xmm2, %xmm1
	movdqa	%xmm2, %xmm0
	call	__multf3@PLT
	movdqa	(%rsp), %xmm2
	jmp	.L1
	.size	__ieee754_expf128, .-__ieee754_expf128
	.section	.rodata
	.align 32
	.type	__expf128_table, @object
	.size	__expf128_table, 14880
__expf128_table:
	.long	557641728
	.long	2824964
	.long	0
	.long	-1073912832
	.long	1211464215
	.long	1793175431
	.long	1071339658
	.long	1066886780
	.long	1079029760
	.long	4207214431
	.long	4294967295
	.long	-1073913857
	.long	613963838
	.long	3692310956
	.long	2182693502
	.long	-1080809108
	.long	2050023424
	.long	64888578
	.long	0
	.long	-1073914880
	.long	1956567251
	.long	2712945677
	.long	1702317020
	.long	1066903595
	.long	3632623616
	.long	72526324
	.long	0
	.long	-1073915904
	.long	1861024456
	.long	55261534
	.long	2099515197
	.long	-1080601461
	.long	2094682112
	.long	4748583
	.long	0
	.long	-1073916928
	.long	1144743649
	.long	419716244
	.long	4179964810
	.long	1066886885
	.long	3208957952
	.long	4230391399
	.long	4294967295
	.long	-1073917953
	.long	3100913501
	.long	3220997810
	.long	3452959599
	.long	-1080606723
	.long	1675919360
	.long	4254568464
	.long	4294967295
	.long	-1073918977
	.long	2153270624
	.long	2796088604
	.long	4205617581
	.long	-1080583526
	.long	1456934912
	.long	4289736088
	.long	4294967295
	.long	-1073920001
	.long	728183853
	.long	1469930907
	.long	2556575637
	.long	1066909856
	.long	4043792384
	.long	4286040465
	.long	4294967295
	.long	-1073921025
	.long	73984346
	.long	533444838
	.long	3434295195
	.long	-1080681554
	.long	75747328
	.long	55228452
	.long	0
	.long	-1073922048
	.long	1812968291
	.long	861874244
	.long	4106407876
	.long	1066890256
	.long	1545035776
	.long	8392345
	.long	0
	.long	-1073923072
	.long	2999461548
	.long	2886878893
	.long	2629677046
	.long	-1080736613
	.long	3764494336
	.long	4210789313
	.long	4294967295
	.long	-1073924097
	.long	52073185
	.long	762818464
	.long	4270024408
	.long	1066881273
	.long	2644852736
	.long	4291246787
	.long	4294967295
	.long	-1073925121
	.long	4273110724
	.long	2148752627
	.long	1018534122
	.long	1066882349
	.long	2768375808
	.long	4289110143
	.long	4294967295
	.long	-1073926145
	.long	3782312091
	.long	1186343342
	.long	264339503
	.long	-1080667354
	.long	347955200
	.long	74073734
	.long	0
	.long	-1073927168
	.long	3411632605
	.long	1211927949
	.long	3512268078
	.long	-1080727575
	.long	1279078400
	.long	37412767
	.long	0
	.long	-1073928192
	.long	2933644101
	.long	3252351430
	.long	4207829633
	.long	-1080597771
	.long	507490304
	.long	6610849
	.long	0
	.long	-1073929216
	.long	1591402610
	.long	1117284984
	.long	1831713269
	.long	-1080616211
	.long	1554632704
	.long	4231903526
	.long	4294967295
	.long	-1073930241
	.long	128727126
	.long	1788317737
	.long	4265115461
	.long	1066718569
	.long	2416455680
	.long	1721891
	.long	0
	.long	-1073931264
	.long	7351628
	.long	1264358601
	.long	3153322193
	.long	-1080622315
	.long	3452518400
	.long	4247949723
	.long	4294967295
	.long	-1073932289
	.long	3667639235
	.long	3282774880
	.long	193580057
	.long	-1080571749
	.long	2652045312
	.long	11771087
	.long	0
	.long	-1073933312
	.long	933830927
	.long	1550099041
	.long	852487370
	.long	1066920495
	.long	975945728
	.long	4281893105
	.long	4294967295
	.long	-1073934337
	.long	3173015268
	.long	586933111
	.long	3999816593
	.long	1066774071
	.long	2043936768
	.long	49505409
	.long	0
	.long	-1073935360
	.long	2700326114
	.long	1964352460
	.long	1741889088
	.long	-1080607484
	.long	660328448
	.long	57778049
	.long	0
	.long	-1073936384
	.long	668526329
	.long	1624208082
	.long	2353487153
	.long	1066884395
	.long	797016064
	.long	4255425718
	.long	4294967295
	.long	-1073937409
	.long	679827830
	.long	2099903525
	.long	1366060293
	.long	-1080689518
	.long	3590275072
	.long	4167904544
	.long	4294967295
	.long	-1073938433
	.long	312273193
	.long	1135571382
	.long	343717846
	.long	-1080651745
	.long	3727077376
	.long	2297482
	.long	0
	.long	-1073940480
	.long	3968624650
	.long	809466320
	.long	12973052
	.long	-1080738457
	.long	2025521152
	.long	29240346
	.long	0
	.long	-1073942528
	.long	4181785253
	.long	2280713804
	.long	523868392
	.long	-1081015637
	.long	256110592
	.long	4249604756
	.long	4294967295
	.long	-1073944577
	.long	95558914
	.long	4069081954
	.long	61565379
	.long	-1080659985
	.long	2785615872
	.long	4279742615
	.long	4294967295
	.long	-1073946625
	.long	3783848675
	.long	4024672351
	.long	247071025
	.long	-1080678134
	.long	887808000
	.long	4235219352
	.long	4294967295
	.long	-1073948673
	.long	851540139
	.long	2061946331
	.long	181926160
	.long	-1080686561
	.long	155054080
	.long	4273917712
	.long	4294967295
	.long	-1073950721
	.long	1043912316
	.long	3301344793
	.long	4038195879
	.long	1066844291
	.long	1058664448
	.long	46762531
	.long	0
	.long	-1073952768
	.long	2468225241
	.long	128390827
	.long	2420072173
	.long	1066575669
	.long	1289969664
	.long	4188286401
	.long	4294967295
	.long	-1073954817
	.long	1475004000
	.long	1423173649
	.long	2388340682
	.long	-1080653890
	.long	2395652096
	.long	102645122
	.long	0
	.long	-1073956864
	.long	1899496707
	.long	3785651842
	.long	1551329955
	.long	-1080633165
	.long	3927015424
	.long	4229246762
	.long	4294967295
	.long	-1073958913
	.long	4012039633
	.long	956911003
	.long	867175204
	.long	-1080675740
	.long	3773382656
	.long	118319454
	.long	0
	.long	-1073960960
	.long	2150239198
	.long	3817919675
	.long	1922119077
	.long	1066766630
	.long	3306876928
	.long	77670907
	.long	0
	.long	-1073963008
	.long	3417433738
	.long	2124655941
	.long	1011589561
	.long	1066790139
	.long	3650420736
	.long	17058578
	.long	0
	.long	-1073965056
	.long	3485880149
	.long	2383390651
	.long	4215220163
	.long	-1080873547
	.long	2636091392
	.long	47231863
	.long	0
	.long	-1073967104
	.long	1596125629
	.long	4017376390
	.long	1038707635
	.long	-1080882730
	.long	2266107904
	.long	132693171
	.long	0
	.long	-1073969152
	.long	2427310823
	.long	2167165058
	.long	3806756350
	.long	-1080719066
	.long	1782181888
	.long	1763504
	.long	0
	.long	-1073971200
	.long	1285863141
	.long	3877590481
	.long	1657886395
	.long	-1080675270
	.long	3718828032
	.long	120023578
	.long	0
	.long	-1073973248
	.long	57282943
	.long	3269431519
	.long	2878526062
	.long	-1080712209
	.long	690475008
	.long	4270200539
	.long	4294967295
	.long	-1073975297
	.long	701842381
	.long	505036568
	.long	2297239300
	.long	-1080779681
	.long	334114816
	.long	4254583119
	.long	4294967295
	.long	-1073977345
	.long	472366286
	.long	4240635268
	.long	3325327079
	.long	1066740597
	.long	3308363776
	.long	4166193003
	.long	4294967295
	.long	-1073979393
	.long	184693519
	.long	2835343065
	.long	4204794542
	.long	-1080661395
	.long	1328193536
	.long	4269009809
	.long	4294967295
	.long	-1073981441
	.long	332970687
	.long	3578096236
	.long	1165121055
	.long	1066818271
	.long	4136579072
	.long	4230388708
	.long	4294967295
	.long	-1073983489
	.long	360109556
	.long	4127345697
	.long	1761766578
	.long	-1080722229
	.long	394567680
	.long	4221648370
	.long	4294967295
	.long	-1073985537
	.long	2670122965
	.long	821158579
	.long	2415013019
	.long	1066802165
	.long	3880812544
	.long	4175670597
	.long	4294967295
	.long	-1073987585
	.long	3098441169
	.long	4145932318
	.long	1949672610
	.long	1066771707
	.long	3485614080
	.long	4197337262
	.long	4294967295
	.long	-1073989633
	.long	2093148144
	.long	2155195986
	.long	1451146512
	.long	-1080658090
	.long	1639170048
	.long	64664066
	.long	0
	.long	-1073991680
	.long	2515139830
	.long	1888243459
	.long	1535307578
	.long	-1080705120
	.long	1776791552
	.long	49642265
	.long	0
	.long	-1073993728
	.long	1245658357
	.long	3545227696
	.long	3078361477
	.long	1066802510
	.long	1029455872
	.long	6842221
	.long	0
	.long	-1073995776
	.long	3473864833
	.long	2511612179
	.long	3290815223
	.long	1066626570
	.long	1436094464
	.long	4253513250
	.long	4294967295
	.long	-1073997825
	.long	2683822281
	.long	3083777661
	.long	613542347
	.long	-1080654816
	.long	2755104768
	.long	69619171
	.long	0
	.long	-1073999872
	.long	508593820
	.long	3821650327
	.long	76407115
	.long	-1080648622
	.long	2999648256
	.long	58710141
	.long	0
	.long	-1074001920
	.long	671792986
	.long	2392767755
	.long	3238430667
	.long	1066825072
	.long	3150397440
	.long	35791256
	.long	0
	.long	-1074003968
	.long	1821496698
	.long	1206227825
	.long	1571012552
	.long	1066601657
	.long	4127039488
	.long	265558225
	.long	0
	.long	-1074008064
	.long	2887330436
	.long	1680420390
	.long	1169000100
	.long	1066794329
	.long	1770278912
	.long	4290427640
	.long	4294967295
	.long	-1074012161
	.long	773705837
	.long	2644234041
	.long	1934828055
	.long	-1080763430
	.long	3886780416
	.long	185297338
	.long	0
	.long	-1074016256
	.long	712092611
	.long	527411998
	.long	2114704812
	.long	1066790411
	.long	489435136
	.long	173720764
	.long	0
	.long	-1074020352
	.long	585313245
	.long	4019852581
	.long	3465747986
	.long	1066745365
	.long	2436923392
	.long	4147943808
	.long	4294967295
	.long	-1074024449
	.long	3695705285
	.long	2924906475
	.long	3809517595
	.long	-1080792105
	.long	2789785600
	.long	148666640
	.long	0
	.long	-1074028544
	.long	263579818
	.long	2758990360
	.long	3504685057
	.long	-1080852141
	.long	2801623040
	.long	4076900698
	.long	4294967295
	.long	-1074032641
	.long	550731912
	.long	199573574
	.long	364612946
	.long	-1080904126
	.long	3171926016
	.long	4178233894
	.long	4294967295
	.long	-1074036737
	.long	4023004285
	.long	3043820239
	.long	1343604153
	.long	-1080728236
	.long	3821789184
	.long	64003233
	.long	0
	.long	-1074040832
	.long	838666417
	.long	3890986338
	.long	819129744
	.long	1066596989
	.long	863428608
	.long	4193054656
	.long	4294967295
	.long	-1074044929
	.long	1007274261
	.long	586862594
	.long	1592368087
	.long	1066743911
	.long	1075838976
	.long	104803773
	.long	0
	.long	-1074049024
	.long	2827561197
	.long	2193922621
	.long	2540069528
	.long	1066581492
	.long	463929344
	.long	221992696
	.long	0
	.long	-1074053120
	.long	2104888803
	.long	899582550
	.long	128625659
	.long	1066755556
	.long	3040378880
	.long	68728553
	.long	0
	.long	-1074057216
	.long	2329303250
	.long	1273014381
	.long	304217303
	.long	1066775273
	.long	1026211840
	.long	4270740293
	.long	4294967295
	.long	-1074061313
	.long	3310551333
	.long	2498779996
	.long	3601723400
	.long	1066785435
	.long	3687784448
	.long	81757299
	.long	0
	.long	-1074065408
	.long	3059970281
	.long	1404907670
	.long	2898123567
	.long	1066768985
	.long	1311989760
	.long	128300433
	.long	0
	.long	-1074069504
	.long	2179605923
	.long	206216625
	.long	2515560956
	.long	-1080957294
	.long	274276352
	.long	10923691
	.long	0
	.long	-1074077696
	.long	1528739691
	.long	171430913
	.long	2955014644
	.long	1066696830
	.long	1910743040
	.long	315623985
	.long	0
	.long	-1074085888
	.long	1651104499
	.long	57665459
	.long	799778487
	.long	-1080847180
	.long	3717283840
	.long	4015348936
	.long	4294967295
	.long	-1074094081
	.long	1730641839
	.long	522784655
	.long	2117084521
	.long	-1080887906
	.long	730292224
	.long	4044862698
	.long	4294967295
	.long	-1074102273
	.long	2225901259
	.long	1733006553
	.long	4169947990
	.long	1066727623
	.long	3809214464
	.long	217821595
	.long	0
	.long	-1074110464
	.long	3942722457
	.long	1985285763
	.long	2668114856
	.long	-1080759085
	.long	2452590592
	.long	4150642499
	.long	4294967295
	.long	-1074118657
	.long	3235827403
	.long	947053962
	.long	412718617
	.long	-1080846301
	.long	293072896
	.long	418394596
	.long	0
	.long	-1074126848
	.long	1805356388
	.long	2876493455
	.long	4064180351
	.long	1066724516
	.long	3011964928
	.long	299337696
	.long	0
	.long	-1074135040
	.long	1187420668
	.long	24357901
	.long	3835217002
	.long	1066704496
	.long	1889566720
	.long	1078834798
	.long	0
	.long	-1074151424
	.long	3413657477
	.long	3187274690
	.long	2980655220
	.long	1066563353
	.long	1174319104
	.long	680895101
	.long	0
	.long	-1074167808
	.long	1759256843
	.long	3664520715
	.long	1894205910
	.long	1066588287
	.long	1777799168
	.long	831035578
	.long	0
	.long	-1074184192
	.long	3678531022
	.long	4270890973
	.long	1038372998
	.long	1066572538
	.long	2631753728
	.long	630141790
	.long	0
	.long	-1074200576
	.long	3248270631
	.long	3475702286
	.long	478846154
	.long	-1080912798
	.long	1646391296
	.long	796778402
	.long	0
	.long	-1074233344
	.long	2688965561
	.long	3040148429
	.long	4233977825
	.long	1066545339
	.long	4049063936
	.long	3415602175
	.long	4294967295
	.long	-1074266113
	.long	3279869700
	.long	1870111647
	.long	3077317270
	.long	1066390345
	.long	2383753216
	.long	957317644
	.long	0
	.long	-1074331648
	.long	2188630989
	.long	449400168
	.long	1564131930
	.long	1066012518
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	3381084160
	.long	759723674
	.long	0
	.long	1073152000
	.long	2539735082
	.long	649101042
	.long	3106137798
	.long	-1081468911
	.long	2299596800
	.long	2029253581
	.long	0
	.long	1073217536
	.long	1517419655
	.long	2062820979
	.long	3283498424
	.long	1066578032
	.long	4263563264
	.long	4171566338
	.long	0
	.long	1073250304
	.long	1970995979
	.long	541392443
	.long	3248814084
	.long	1066487680
	.long	3663912960
	.long	1167285097
	.long	4294967295
	.long	1073283071
	.long	4138872358
	.long	258904523
	.long	3898820974
	.long	1066553748
	.long	2593079296
	.long	2440532223
	.long	4294967295
	.long	1073299455
	.long	2044187949
	.long	4276829768
	.long	1000870549
	.long	1066631288
	.long	3553447936
	.long	2925139515
	.long	4294967295
	.long	1073315839
	.long	3331520726
	.long	424473412
	.long	540528344
	.long	-1080882834
	.long	1574244352
	.long	1061690858
	.long	0
	.long	1073332224
	.long	1632515892
	.long	725699570
	.long	3170470048
	.long	-1080920294
	.long	1364234240
	.long	2676806667
	.long	4294967295
	.long	1073348607
	.long	2092413708
	.long	924708001
	.long	1917149487
	.long	-1080860933
	.long	1601314816
	.long	3678911783
	.long	4294967295
	.long	1073356799
	.long	2334034075
	.long	3386580017
	.long	3515576599
	.long	1066278997
	.long	2957172736
	.long	4253900312
	.long	4294967295
	.long	1073364991
	.long	2444951516
	.long	3853525085
	.long	1424261161
	.long	-1080806380
	.long	2424684544
	.long	415892685
	.long	0
	.long	1073373184
	.long	1094902407
	.long	4160465570
	.long	645989318
	.long	-1081066628
	.long	1201549312
	.long	4212569813
	.long	4294967295
	.long	1073381375
	.long	410831189
	.long	2778112165
	.long	3836982709
	.long	-1080772309
	.long	3586899968
	.long	3579564166
	.long	4294967295
	.long	1073389567
	.long	4297750
	.long	3029452813
	.long	286982517
	.long	-1080785605
	.long	1957040128
	.long	3558050810
	.long	4294967295
	.long	1073397759
	.long	3751828873
	.long	2455098723
	.long	1072271795
	.long	1066711802
	.long	797700096
	.long	713099871
	.long	0
	.long	1073405952
	.long	3960899148
	.long	2400650696
	.long	4034716736
	.long	-1081158250
	.long	1172484096
	.long	41673504
	.long	0
	.long	1073414144
	.long	869303979
	.long	3634475602
	.long	3611559828
	.long	1066753587
	.long	2751385600
	.long	4228356664
	.long	4294967295
	.long	1073418239
	.long	2839693354
	.long	2096081732
	.long	373018041
	.long	-1080722698
	.long	3466612736
	.long	3830718858
	.long	4294967295
	.long	1073422335
	.long	3229484416
	.long	2498195057
	.long	716022381
	.long	-1080770569
	.long	2531004416
	.long	4099544676
	.long	4294967295
	.long	1073426431
	.long	485806133
	.long	2479759005
	.long	609844107
	.long	1066732327
	.long	2914799616
	.long	4212178002
	.long	4294967295
	.long	1073430527
	.long	883755709
	.long	609786319
	.long	3934870332
	.long	1066498174
	.long	1638436864
	.long	386685350
	.long	0
	.long	1073434624
	.long	1450129269
	.long	3889910785
	.long	650496644
	.long	-1080739341
	.long	1202651136
	.long	259532917
	.long	0
	.long	1073438720
	.long	1539079837
	.long	668224415
	.long	3055251006
	.long	1066715120
	.long	3080798208
	.long	70666883
	.long	0
	.long	1073442816
	.long	2491996489
	.long	1558964918
	.long	612447958
	.long	1066599104
	.long	1890676736
	.long	357799384
	.long	0
	.long	1073446912
	.long	3732434314
	.long	3679005470
	.long	3384382390
	.long	-1080851538
	.long	2137800704
	.long	460048931
	.long	0
	.long	1073451008
	.long	430130171
	.long	3013141625
	.long	892222763
	.long	-1080775690
	.long	3651268608
	.long	238797580
	.long	0
	.long	1073455104
	.long	2950042960
	.long	2634503311
	.long	998350557
	.long	1066778651
	.long	2006470656
	.long	3840292045
	.long	4294967295
	.long	1073459199
	.long	2715787200
	.long	1037319241
	.long	1793478899
	.long	1066758987
	.long	2380771328
	.long	43850448
	.long	0
	.long	1073463296
	.long	1166445782
	.long	2319835600
	.long	3013403161
	.long	1066664676
	.long	2636861440
	.long	432393279
	.long	0
	.long	1073467392
	.long	903778921
	.long	3328374420
	.long	3020035186
	.long	1066647818
	.long	3311513600
	.long	256338060
	.long	0
	.long	1073471488
	.long	1607450437
	.long	1971949654
	.long	3007555793
	.long	-1080809492
	.long	2079342592
	.long	401554169
	.long	0
	.long	1073475584
	.long	1968262418
	.long	1907646400
	.long	2694458791
	.long	1066665030
	.long	3973615616
	.long	45839172
	.long	0
	.long	1073479680
	.long	971138002
	.long	2657789147
	.long	905887482
	.long	-1080736975
	.long	1412829184
	.long	4124372273
	.long	4294967295
	.long	1073481727
	.long	3507706305
	.long	1872229400
	.long	4062571015
	.long	-1080725321
	.long	2502336512
	.long	102213072
	.long	0
	.long	1073483776
	.long	664959708
	.long	2375222617
	.long	3613892868
	.long	1066776709
	.long	3348561920
	.long	4279823083
	.long	4294967295
	.long	1073485823
	.long	650976407
	.long	2323053311
	.long	1314232402
	.long	1066796054
	.long	2301149184
	.long	150390685
	.long	0
	.long	1073487872
	.long	227929587
	.long	633824382
	.long	1255090994
	.long	1066681447
	.long	3254718464
	.long	119949963
	.long	0
	.long	1073489920
	.long	1512184211
	.long	2790324985
	.long	157013898
	.long	1066803819
	.long	4177408000
	.long	75059983
	.long	0
	.long	1073491968
	.long	43477195
	.long	2841088106
	.long	1227447923
	.long	1066778525
	.long	2675044352
	.long	16762384
	.long	0
	.long	1073494016
	.long	1720915262
	.long	3503185509
	.long	2232559265
	.long	1066687089
	.long	719384576
	.long	4179619286
	.long	4294967295
	.long	1073496063
	.long	3244428266
	.long	310405130
	.long	441957404
	.long	1066793732
	.long	1243189248
	.long	20086488
	.long	0
	.long	1073498112
	.long	2510291839
	.long	740163825
	.long	788653469
	.long	-1080806970
	.long	4222111744
	.long	9196165
	.long	0
	.long	1073500160
	.long	1813594655
	.long	253949966
	.long	533396793
	.long	-1080848579
	.long	1418481664
	.long	4197074012
	.long	4294967295
	.long	1073502207
	.long	3862147626
	.long	7164927
	.long	3474725672
	.long	-1080636632
	.long	3923591168
	.long	4289742164
	.long	4294967295
	.long	1073504255
	.long	1504856625
	.long	3897286952
	.long	4041984082
	.long	-1080666518
	.long	1879044096
	.long	4275503839
	.long	4294967295
	.long	1073506303
	.long	2443699196
	.long	3250010588
	.long	918064288
	.long	-1080751230
	.long	852680704
	.long	47675835
	.long	0
	.long	1073508352
	.long	3374501966
	.long	4245167933
	.long	2629880163
	.long	1066749338
	.long	1674158080
	.long	163192674
	.long	0
	.long	1073510400
	.long	2222251810
	.long	2132405880
	.long	2782406391
	.long	-1080652254
	.long	706473984
	.long	130013383
	.long	0
	.long	1073512448
	.long	843852993
	.long	2485097102
	.long	1522900095
	.long	-1080681297
	.long	2919239680
	.long	4115989230
	.long	4294967295
	.long	1073514495
	.long	3106592669
	.long	2469866023
	.long	66652519
	.long	1066827567
	.long	2151235584
	.long	4189258066
	.long	4294967295
	.long	1073516543
	.long	1771698848
	.long	33526609
	.long	1608211413
	.long	1066827758
	.long	956911616
	.long	204531321
	.long	0
	.long	1073518592
	.long	938369418
	.long	3003166833
	.long	1256558096
	.long	1066795971
	.long	127811584
	.long	4079609823
	.long	4294967295
	.long	1073520639
	.long	1507669153
	.long	4034977679
	.long	2935908709
	.long	-1080691069
	.long	3074203648
	.long	4263477492
	.long	4294967295
	.long	1073522687
	.long	2231495879
	.long	1024462153
	.long	1334281994
	.long	-1080716380
	.long	1932591104
	.long	2431384
	.long	0
	.long	1073524736
	.long	145534005
	.long	1758859325
	.long	2992406838
	.long	-1080968263
	.long	1713594368
	.long	4236323016
	.long	4294967295
	.long	1073526783
	.long	604928578
	.long	2208378971
	.long	3026541723
	.long	1066720518
	.long	4294066176
	.long	146828709
	.long	0
	.long	1073528832
	.long	3905317364
	.long	2108513083
	.long	2279581674
	.long	1066739802
	.long	1394565120
	.long	4219265790
	.long	4294967295
	.long	1073530879
	.long	2886479452
	.long	3641011366
	.long	2036512194
	.long	-1080665272
	.long	2078654464
	.long	4194342183
	.long	4294967295
	.long	1073532927
	.long	557571021
	.long	2396967697
	.long	3981907327
	.long	-1080672035
	.long	2522218496
	.long	4093129513
	.long	4294967295
	.long	1073534975
	.long	1367727709
	.long	3785490404
	.long	3728071647
	.long	-1080674049
	.long	46686208
	.long	117935572
	.long	0
	.long	1073537024
	.long	629821711
	.long	3387947499
	.long	2996447942
	.long	-1080795193
	.long	1861017600
	.long	4130474824
	.long	4294967295
	.long	1073539071
	.long	3459164116
	.long	97186458
	.long	2857320703
	.long	-1080676134
	.long	2592952320
	.long	4115539104
	.long	4294967295
	.long	1073541119
	.long	1740179686
	.long	289298996
	.long	1844318707
	.long	-1080632747
	.long	3702902784
	.long	4208579589
	.long	4294967295
	.long	1073543167
	.long	1716306911
	.long	159941802
	.long	1994979758
	.long	1066777735
	.long	314257408
	.long	80339532
	.long	0
	.long	1073545216
	.long	1819063421
	.long	3236718626
	.long	2092962168
	.long	1066797958
	.long	3004596224
	.long	64663045
	.long	0
	.long	1073546240
	.long	2471164031
	.long	3880979331
	.long	4120763095
	.long	1066890735
	.long	2912768000
	.long	4274489227
	.long	4294967295
	.long	1073547263
	.long	18187184
	.long	1076785602
	.long	1704763969
	.long	1066881574
	.long	2476797952
	.long	36981959
	.long	0
	.long	1073548288
	.long	2337168278
	.long	18248772
	.long	3848250106
	.long	1066809855
	.long	2716463104
	.long	4231590080
	.long	4294967295
	.long	1073549311
	.long	3741760232
	.long	4277672639
	.long	2593319026
	.long	-1080709289
	.long	3598561280
	.long	4197493000
	.long	4294967295
	.long	1073550335
	.long	3237981281
	.long	1148863153
	.long	2581698608
	.long	1066910845
	.long	1491972096
	.long	32458042
	.long	0
	.long	1073551360
	.long	2293164730
	.long	116188261
	.long	2048937419
	.long	-1080600552
	.long	3385450496
	.long	4267942142
	.long	4294967295
	.long	1073552383
	.long	761741068
	.long	199519148
	.long	2175829066
	.long	-1080624637
	.long	308109312
	.long	61306526
	.long	0
	.long	1073553408
	.long	462290732
	.long	1981198345
	.long	3759354575
	.long	-1080574876
	.long	1271721984
	.long	4287997321
	.long	4294967295
	.long	1073554431
	.long	1184349299
	.long	1534778546
	.long	1126764239
	.long	-1080748961
	.long	4207251456
	.long	42706180
	.long	0
	.long	1073555456
	.long	2292459767
	.long	533421836
	.long	3507575700
	.long	-1080564470
	.long	3515150336
	.long	95941490
	.long	0
	.long	1073556480
	.long	3747530365
	.long	1066254021
	.long	3485039533
	.long	1066639053
	.long	3349000192
	.long	76732512
	.long	0
	.long	1073557504
	.long	2794688306
	.long	1826330582
	.long	1367271665
	.long	1066681993
	.long	974639104
	.long	76472295
	.long	0
	.long	1073558528
	.long	1475775936
	.long	1820943467
	.long	239008929
	.long	-1080731760
	.long	2578669568
	.long	4223462511
	.long	4294967295
	.long	1073559551
	.long	2370031689
	.long	1623407230
	.long	1894073734
	.long	1066923777
	.long	3506114560
	.long	4246461924
	.long	4294967295
	.long	1073560575
	.long	1261951188
	.long	1343242266
	.long	3831291745
	.long	1066889418
	.long	3154554880
	.long	14369807
	.long	0
	.long	1073561600
	.long	1189656593
	.long	735640490
	.long	2559292770
	.long	1066879935
	.long	1417756672
	.long	31891081
	.long	0
	.long	1073562624
	.long	1489452349
	.long	512137042
	.long	398064250
	.long	1066834768
	.long	2617659392
	.long	32465941
	.long	0
	.long	1073563648
	.long	3219207866
	.long	2035179448
	.long	4030941457
	.long	-1080720605
	.long	2610069504
	.long	4232399323
	.long	4294967295
	.long	1073564671
	.long	316752754
	.long	3281525741
	.long	4202571458
	.long	-1080669467
	.long	1087012864
	.long	4255231240
	.long	4294967295
	.long	1073565695
	.long	4140913991
	.long	1193743629
	.long	1999241175
	.long	-1080635353
	.long	83546112
	.long	1904380
	.long	0
	.long	1073566720
	.long	2208233390
	.long	3336497480
	.long	2684908684
	.long	-1080789199
	.long	2330333184
	.long	4216679595
	.long	4294967295
	.long	1073567743
	.long	525032715
	.long	3401522071
	.long	174971889
	.long	1066865157
	.long	1574715392
	.long	20844015
	.long	0
	.long	1073568768
	.long	700731586
	.long	3117023240
	.long	277409597
	.long	-1080651579
	.long	1242230784
	.long	4247810146
	.long	4294967295
	.long	1073569791
	.long	813793226
	.long	1127133204
	.long	1499261572
	.long	1066483630
	.long	2653491200
	.long	19757360
	.long	0
	.long	1073570816
	.long	3690656607
	.long	1714316453
	.long	1709898510
	.long	-1080600956
	.long	3473608704
	.long	3448829528
	.long	1
	.long	-1074396160
	.long	2786413841
	.long	1199745732
	.long	3309601561
	.long	-1081086349
	.long	1580105728
	.long	2342929339
	.long	0
	.long	-1074397184
	.long	1330095093
	.long	1385722677
	.long	1794111420
	.long	-1081202109
	.long	386768896
	.long	1130482513
	.long	4294967294
	.long	-1074399233
	.long	1826681911
	.long	3234595367
	.long	797298664
	.long	-1081134640
	.long	2428645376
	.long	1195732692
	.long	3
	.long	-1074401280
	.long	2368368820
	.long	2474259629
	.long	1960142714
	.long	-1081200191
	.long	1635467264
	.long	2133208995
	.long	0
	.long	-1074403328
	.long	4158242281
	.long	3262370638
	.long	1114252375
	.long	-1081106611
	.long	728735744
	.long	2465303580
	.long	4294967294
	.long	-1074405377
	.long	3380641656
	.long	918217798
	.long	2159291840
	.long	-1081263540
	.long	3030695936
	.long	1721625218
	.long	4294967294
	.long	-1074407425
	.long	1356229053
	.long	1000961925
	.long	556006231
	.long	-1081147526
	.long	1037791232
	.long	504992092
	.long	1
	.long	-1074409472
	.long	1636253162
	.long	3477511732
	.long	1517353644
	.long	1066029183
	.long	4185640960
	.long	431479918
	.long	0
	.long	-1074411520
	.long	3822039123
	.long	2505763789
	.long	2150841908
	.long	1066311288
	.long	2797166592
	.long	4253083786
	.long	4294967292
	.long	-1074413569
	.long	421390284
	.long	3047124686
	.long	1613866873
	.long	1066251662
	.long	471019520
	.long	2967433170
	.long	1
	.long	-1074415616
	.long	304033674
	.long	2149317348
	.long	2873546033
	.long	-1081221956
	.long	358043648
	.long	1355533961
	.long	0
	.long	-1074417664
	.long	1584429401
	.long	4147865421
	.long	3571287566
	.long	-1081114901
	.long	3286769664
	.long	1151239936
	.long	3
	.long	-1074419712
	.long	3403777494
	.long	3879754208
	.long	1608649311
	.long	-1081087612
	.long	3453124608
	.long	697951848
	.long	4294967293
	.long	-1074421761
	.long	2995538706
	.long	776280839
	.long	2931529529
	.long	1066255098
	.long	220553216
	.long	3928807844
	.long	0
	.long	-1074423808
	.long	536162901
	.long	3370325932
	.long	2035307798
	.long	-1081530976
	.long	1802076160
	.long	2745928255
	.long	1
	.long	-1074425856
	.long	902411604
	.long	2906481582
	.long	2375342517
	.long	-1081209113
	.long	1467232256
	.long	3119604251
	.long	2
	.long	-1074427904
	.long	3387629792
	.long	2449800112
	.long	3511431720
	.long	-1081099865
	.long	3786711040
	.long	3451722896
	.long	4294967295
	.long	-1074429953
	.long	895694772
	.long	2928085784
	.long	796019649
	.long	-1081158353
	.long	2773942272
	.long	3269458170
	.long	4294967292
	.long	-1074432001
	.long	3925094641
	.long	2257329804
	.long	609708309
	.long	-1081092281
	.long	3328102400
	.long	3171621034
	.long	4294967293
	.long	-1074434049
	.long	55051599
	.long	202486290
	.long	202253285
	.long	-1081148758
	.long	2958520320
	.long	486342897
	.long	4294967295
	.long	-1074436097
	.long	3931092757
	.long	1118069400
	.long	597346121
	.long	-1081090552
	.long	1565773824
	.long	2207264944
	.long	4294967293
	.long	-1074438145
	.long	2983777225
	.long	665450549
	.long	1029466187
	.long	-1081393638
	.long	1763586048
	.long	3563688814
	.long	4294967293
	.long	-1074440193
	.long	3643052539
	.long	341251839
	.long	1835251620
	.long	1066376335
	.long	2871119872
	.long	811960752
	.long	4294967293
	.long	-1074442241
	.long	4290483847
	.long	1359397524
	.long	146518499
	.long	-1081145368
	.long	1792196608
	.long	4211529201
	.long	0
	.long	-1074444288
	.long	2797973426
	.long	2318953071
	.long	399909655
	.long	1066394203
	.long	1074216960
	.long	3533919940
	.long	4294967294
	.long	-1074446337
	.long	419104325
	.long	509333863
	.long	3640601241
	.long	-1081328752
	.long	3718811648
	.long	2596517253
	.long	4294967292
	.long	-1074448385
	.long	3779047615
	.long	3743264159
	.long	2041259166
	.long	1066303634
	.long	3110309888
	.long	1992327181
	.long	0
	.long	-1074450432
	.long	2822519991
	.long	538783937
	.long	2319989600
	.long	1066355820
	.long	353595392
	.long	3307175539
	.long	0
	.long	-1074452480
	.long	3542832550
	.long	2929878670
	.long	508059033
	.long	1066242604
	.long	3458965504
	.long	653448393
	.long	4294967292
	.long	-1074454529
	.long	3356628177
	.long	1661189825
	.long	817092907
	.long	1066303173
	.long	272916480
	.long	2176268303
	.long	1
	.long	-1074456576
	.long	1802233635
	.long	820482272
	.long	826081675
	.long	1066213321
	.long	1225658368
	.long	4059042096
	.long	4294967295
	.long	-1074458625
	.long	4040716217
	.long	3826436851
	.long	3110825933
	.long	1066287889
	.long	3875868672
	.long	3671568332
	.long	4294967294
	.long	-1074460673
	.long	2817098989
	.long	2972714820
	.long	1083778322
	.long	1066273254
	.long	2329894912
	.long	3134723359
	.long	4294967291
	.long	-1074462721
	.long	875564836
	.long	88835836
	.long	2442757864
	.long	-1081166182
	.long	3648593920
	.long	3042582607
	.long	4294967289
	.long	-1074466817
	.long	2048783319
	.long	1180105303
	.long	1357744491
	.long	-1081217478
	.long	1065537536
	.long	3941973776
	.long	7
	.long	-1074470912
	.long	1123479169
	.long	745851776
	.long	4226774995
	.long	1066157836
	.long	62484480
	.long	369477204
	.long	7
	.long	-1074475008
	.long	3641539539
	.long	1280286215
	.long	3692595276
	.long	1066204099
	.long	2992939008
	.long	2027813322
	.long	4294967288
	.long	-1074479105
	.long	4227846037
	.long	3585967280
	.long	2719881698
	.long	-1081169487
	.long	3957350400
	.long	3699819081
	.long	4294967293
	.long	-1074483201
	.long	741116982
	.long	230865958
	.long	138491499
	.long	1066315216
	.long	2242244608
	.long	2079781034
	.long	4294967289
	.long	-1074487297
	.long	228617492
	.long	2274324740
	.long	3048591952
	.long	1066288429
	.long	823164928
	.long	477259188
	.long	4294967294
	.long	-1074491393
	.long	1935962656
	.long	1830453772
	.long	1524139209
	.long	-1081207791
	.long	2057871360
	.long	4238625163
	.long	4294967294
	.long	-1074495489
	.long	698782350
	.long	443387896
	.long	1766913679
	.long	1066216416
	.long	3624144896
	.long	3732672485
	.long	4294967295
	.long	-1074499585
	.long	2494683918
	.long	412238785
	.long	214208514
	.long	1066219988
	.long	2338373632
	.long	63511929
	.long	5
	.long	-1074503680
	.long	3657449141
	.long	2243111819
	.long	4035603090
	.long	-1081273152
	.long	3916763136
	.long	731287940
	.long	3
	.long	-1074507776
	.long	238895014
	.long	3644246328
	.long	1806400292
	.long	-1081252877
	.long	3814641664
	.long	2546451507
	.long	4294967295
	.long	-1074511873
	.long	4233661424
	.long	592084440
	.long	2022109451
	.long	-1081198878
	.long	3475763200
	.long	169082733
	.long	0
	.long	-1074515968
	.long	1383663682
	.long	4270763
	.long	1736310810
	.long	1066285412
	.long	3340152832
	.long	3250739001
	.long	4294967290
	.long	-1074520065
	.long	4169507105
	.long	1016704756
	.long	685283372
	.long	-1081319191
	.long	913788928
	.long	2191928575
	.long	6
	.long	-1074524160
	.long	2124927078
	.long	1640831676
	.long	1995994493
	.long	-1081266420
	.long	839774208
	.long	263489938
	.long	4294967285
	.long	-1074528257
	.long	3340186796
	.long	1896586042
	.long	2741134866
	.long	1066054265
	.long	1019908096
	.long	775694126
	.long	4294967293
	.long	-1074536449
	.long	4034570305
	.long	2481120899
	.long	291039167
	.long	-1081231641
	.long	2699763712
	.long	3688956875
	.long	4294967285
	.long	-1074544641
	.long	3558452048
	.long	2143222797
	.long	1456534493
	.long	-1081313933
	.long	1886306304
	.long	2610522242
	.long	4294967280
	.long	-1074552833
	.long	3954806870
	.long	2633795083
	.long	3567198760
	.long	-1081485946
	.long	3353305088
	.long	4023093439
	.long	4294967295
	.long	-1074561025
	.long	2553527845
	.long	2529719535
	.long	2228391508
	.long	-1081359814
	.long	2039422976
	.long	1422215336
	.long	4294967287
	.long	-1074569217
	.long	986414184
	.long	1713907412
	.long	422557635
	.long	-1081227087
	.long	3519504384
	.long	1337258410
	.long	11
	.long	-1074577408
	.long	3058133498
	.long	855969809
	.long	3938130955
	.long	-1081226784
	.long	623890432
	.long	1528845996
	.long	4294967281
	.long	-1074585601
	.long	893520561
	.long	3356312806
	.long	3047160023
	.long	1065732143
	.long	2808307712
	.long	4223369942
	.long	4294967295
	.long	-1074593793
	.long	2460654199
	.long	3194256156
	.long	1437602680
	.long	1066170601
	.long	2797334528
	.long	1779840510
	.long	29
	.long	-1074610176
	.long	835441437
	.long	312105185
	.long	1868655201
	.long	1066090271
	.long	2184810496
	.long	4262247692
	.long	4294967275
	.long	-1074626561
	.long	3885099847
	.long	1362845991
	.long	3133843929
	.long	-1081657516
	.long	3432599552
	.long	3234551794
	.long	30
	.long	-1074642944
	.long	2581913225
	.long	2961687792
	.long	3493494378
	.long	1066151670
	.long	899891200
	.long	1404810399
	.long	4294967253
	.long	-1074659329
	.long	1229544432
	.long	533318947
	.long	3114033159
	.long	1066016172
	.long	3454173184
	.long	2151730542
	.long	13
	.long	-1074692096
	.long	3349191188
	.long	3583058673
	.long	1828398296
	.long	-1081368494
	.long	2137690112
	.long	4273715501
	.long	4294967215
	.long	-1074724865
	.long	3015639857
	.long	2755161557
	.long	1576050420
	.long	1066001610
	.long	4207005696
	.long	2874531464
	.long	85
	.long	-1074790400
	.long	3137758763
	.long	3895764538
	.long	580887456
	.long	1066041405
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	793350144
	.long	44808464
	.long	4294966954
	.long	1072693247
	.long	2186103824
	.long	3287646484
	.long	452592682
	.long	1065833781
	.long	1277612032
	.long	2841501818
	.long	82
	.long	1072758784
	.long	1087792662
	.long	3923214158
	.long	2771816906
	.long	1065884807
	.long	3454173184
	.long	2151730218
	.long	4294967282
	.long	1072791551
	.long	3383775390
	.long	2733422477
	.long	1724368582
	.long	1065918099
	.long	1404383232
	.long	4259178177
	.long	63
	.long	1072824320
	.long	3849250894
	.long	3686700093
	.long	2372243157
	.long	-1081380707
	.long	2245144576
	.long	2504742626
	.long	4294967286
	.long	1072840703
	.long	3262334694
	.long	383679867
	.long	2522881502
	.long	1066075859
	.long	2184933376
	.long	4262255756
	.long	19
	.long	1072857088
	.long	3801213731
	.long	1333735404
	.long	2617136458
	.long	1066191290
	.long	564391936
	.long	1024877278
	.long	13
	.long	1072873472
	.long	2898860006
	.long	833269966
	.long	2600795978
	.long	-1081301705
	.long	3763552256
	.long	1404821320
	.long	4294967253
	.long	1072889855
	.long	2528691661
	.long	1476572735
	.long	3988948481
	.long	-1081399058
	.long	2663501824
	.long	2640365635
	.long	4294967278
	.long	1072898047
	.long	1132536900
	.long	1629142034
	.long	1333905274
	.long	-1081537289
	.long	1180917760
	.long	4172663203
	.long	9
	.long	1072906240
	.long	1797319376
	.long	3230325867
	.long	3443561007
	.long	1066255945
	.long	4049281024
	.long	1095157056
	.long	4294967283
	.long	1072914431
	.long	3386979398
	.long	4232944081
	.long	955068744
	.long	1066248054
	.long	2828812288
	.long	3972936894
	.long	31
	.long	1072922624
	.long	2063750099
	.long	2496631189
	.long	3847541640
	.long	1066125364
	.long	3479875584
	.long	2271058506
	.long	4
	.long	1072930816
	.long	742710568
	.long	4153176481
	.long	3941527977
	.long	1066206119
	.long	4001693696
	.long	2238158019
	.long	20
	.long	1072939008
	.long	2405374572
	.long	2609845776
	.long	294636981
	.long	1066230370
	.long	1091276800
	.long	1850071125
	.long	2
	.long	1072947200
	.long	4185246205
	.long	2489461098
	.long	1171257479
	.long	1066237894
	.long	5107712
	.long	3150108620
	.long	4294967295
	.long	1072955391
	.long	2725963857
	.long	224895511
	.long	3071879587
	.long	-1081271784
	.long	2776961024
	.long	2001753582
	.long	4294967294
	.long	1072959487
	.long	2469571757
	.long	2643089565
	.long	4042515737
	.long	-1081299644
	.long	3056578560
	.long	3289428635
	.long	4294967284
	.long	1072963583
	.long	2581745987
	.long	614458806
	.long	3479770115
	.long	-1081361736
	.long	2374070272
	.long	4710194
	.long	4294967290
	.long	1072967679
	.long	3197116383
	.long	1855325558
	.long	763181726
	.long	-1081160900
	.long	2351370240
	.long	3965908303
	.long	4
	.long	1072971776
	.long	97607566
	.long	1204370318
	.long	3221407770
	.long	1066240628
	.long	2232799232
	.long	3373992305
	.long	11
	.long	1072975872
	.long	2481675446
	.long	570957193
	.long	1552934664
	.long	-1081287764
	.long	3674587136
	.long	1467558259
	.long	4
	.long	1072979968
	.long	76547243
	.long	3320789208
	.long	339962185
	.long	1066209569
	.long	3098660864
	.long	3541753644
	.long	3
	.long	1072984064
	.long	2333478746
	.long	2388954682
	.long	3431921439
	.long	-1081231617
	.long	3586695168
	.long	4243933579
	.long	4294967294
	.long	1072988159
	.long	2814454424
	.long	3888091387
	.long	1780350608
	.long	-1081267232
	.long	1028292608
	.long	270146313
	.long	10
	.long	1072992256
	.long	2758462641
	.long	4134094087
	.long	3938266516
	.long	-1081202865
	.long	1958473728
	.long	3556367531
	.long	4294967288
	.long	1072996351
	.long	4091162718
	.long	2850303709
	.long	2791239567
	.long	-1081194778
	.long	1437753344
	.long	2099968938
	.long	4294967294
	.long	1073000447
	.long	1715477582
	.long	3060048709
	.long	1057324733
	.long	-1081168029
	.long	2581958656
	.long	3433741539
	.long	13
	.long	1073004544
	.long	522996897
	.long	3151734660
	.long	2006148275
	.long	-1081183814
	.long	3988955136
	.long	186747014
	.long	4294967289
	.long	1073008639
	.long	1290964260
	.long	3100616173
	.long	1304129188
	.long	1066184997
	.long	1576218624
	.long	3962184178
	.long	4294967281
	.long	1073012735
	.long	4009737820
	.long	655159881
	.long	4078561781
	.long	1066070283
	.long	383193088
	.long	2844968044
	.long	9
	.long	1073016832
	.long	2433673265
	.long	3742578755
	.long	1458053006
	.long	1066269181
	.long	2799656960
	.long	345955398
	.long	4294967281
	.long	1073020927
	.long	2179687465
	.long	446837068
	.long	646569330
	.long	-1081483039
	.long	3976794112
	.long	736709520
	.long	4294967292
	.long	1073022975
	.long	2972806485
	.long	369241514
	.long	1754014843
	.long	-1081180902
	.long	3155525632
	.long	2589440358
	.long	7
	.long	1073025024
	.long	1421875808
	.long	955818418
	.long	2281468859
	.long	1066371411
	.long	1600020480
	.long	2063390131
	.long	2
	.long	1073027072
	.long	1895795830
	.long	4130508571
	.long	1093665083
	.long	-1081262560
	.long	3328954368
	.long	645953478
	.long	4
	.long	1073029120
	.long	1375306078
	.long	1079299313
	.long	2492391302
	.long	1066352854
	.long	4269912064
	.long	3188678104
	.long	3
	.long	1073031168
	.long	2203380919
	.long	2312955068
	.long	555167392
	.long	-1081190797
	.long	4280188928
	.long	589183951
	.long	4294967288
	.long	1073033215
	.long	3573122481
	.long	609183970
	.long	2101356425
	.long	1066275279
	.long	4139909120
	.long	3905811448
	.long	7
	.long	1073035264
	.long	50090362
	.long	927948616
	.long	863033434
	.long	-1081180835
	.long	524632064
	.long	2131173974
	.long	4294967289
	.long	1073037311
	.long	4225074178
	.long	609091269
	.long	1427767158
	.long	-1081182446
	.long	543756288
	.long	4087717256
	.long	2
	.long	1073039360
	.long	3785039696
	.long	1453100838
	.long	1535572419
	.long	1066401423
	.long	1134399488
	.long	844146532
	.long	4294967290
	.long	1073041407
	.long	4257883465
	.long	942816475
	.long	28839375
	.long	1066303624
	.long	3335921664
	.long	3441796116
	.long	4
	.long	1073043456
	.long	2210460137
	.long	2767723869
	.long	1242897853
	.long	1066319161
	.long	3486879744
	.long	814854210
	.long	4294967288
	.long	1073045503
	.long	1610322373
	.long	4208699746
	.long	1225621484
	.long	-1081172534
	.long	4123848704
	.long	1849455378
	.long	4294967289
	.long	1073047551
	.long	3020031823
	.long	1078928024
	.long	1232034775
	.long	1066317667
	.long	708317184
	.long	1742925983
	.long	4294967293
	.long	1073049599
	.long	693113737
	.long	2843912840
	.long	3506429931
	.long	1066334436
	.long	2945089536
	.long	3214679409
	.long	4294967288
	.long	1073051647
	.long	2841098394
	.long	2913406931
	.long	3626769604
	.long	1066358389
	.long	1907646464
	.long	3420265590
	.long	4294967295
	.long	1073053695
	.long	1347367884
	.long	1850498055
	.long	4147266959
	.long	1066325294
	.long	2329161728
	.long	2931230316
	.long	6
	.long	1073055744
	.long	1812660827
	.long	2427250144
	.long	2007920579
	.long	1066351730
	.long	1262206976
	.long	1251664400
	.long	1
	.long	1073057792
	.long	718201365
	.long	2444966113
	.long	3291772457
	.long	1066274039
	.long	1129701376
	.long	899558432
	.long	3
	.long	1073059840
	.long	2982982049
	.long	2861949279
	.long	695326860
	.long	-1081332660
	.long	3363577856
	.long	3526889163
	.long	4294967295
	.long	1073061887
	.long	119690312
	.long	2968528492
	.long	3772909279
	.long	-1081191787
	.long	3985948672
	.long	1017577057
	.long	4294967290
	.long	1073063935
	.long	464652216
	.long	970070581
	.long	2977674768
	.long	-1081195023
	.long	4132851712
	.long	1246951968
	.long	5
	.long	1073065984
	.long	2979122930
	.long	3021270601
	.long	2420921417
	.long	1066299872
	.long	3373314048
	.long	2762598674
	.long	3
	.long	1073068032
	.long	1766231245
	.long	296097748
	.long	3433832053
	.long	1066230468
	.long	2114015232
	.long	2701786026
	.long	7
	.long	1073070080
	.long	2375235291
	.long	1119545362
	.long	2822106347
	.long	1066017887
	.long	2046840832
	.long	1652329827
	.long	3
	.long	1073072128
	.long	790835031
	.long	635909529
	.long	2602352379
	.long	-1081137786
	.long	2285600768
	.long	3309077686
	.long	4294967288
	.long	1073074175
	.long	2972219654
	.long	3671834377
	.long	3105691453
	.long	1066387478
	.long	2822963200
	.long	1578670580
	.long	4294967289
	.long	1073076223
	.long	1307841145
	.long	2236458343
	.long	344941306
	.long	1066182793
	.long	3127328768
	.long	2295471714
	.long	6
	.long	1073078272
	.long	3469890912
	.long	3950089845
	.long	1555672577
	.long	-1081103264
	.long	1837752320
	.long	1885135498
	.long	1
	.long	1073080320
	.long	474164113
	.long	747584525
	.long	36039806
	.long	1066375219
	.long	3448565760
	.long	3916037575
	.long	4294967290
	.long	1073082367
	.long	2140209676
	.long	283403487
	.long	1199414522
	.long	-1081108704
	.long	3981025280
	.long	2284119080
	.long	3
	.long	1073084416
	.long	2652804796
	.long	3632949924
	.long	3620553526
	.long	1066225405
	.long	4054712320
	.long	3090115076
	.long	4294967291
	.long	1073086463
	.long	3566054014
	.long	923695476
	.long	1658032725
	.long	-1081260344
	.long	1367920640
	.long	3268977066
	.long	1
	.long	1073087488
	.long	1657522596
	.long	2505154558
	.long	1742312452
	.long	1066397285
	.long	0
	.long	2885681152
	.long	2625783209
	.long	1073637797
	.long	0
	.long	3489660928
	.long	4146981769
	.long	1073638159
	.long	0
	.long	805306368
	.long	3169429209
	.long	1073638523
	.long	0
	.long	3758096384
	.long	4011933041
	.long	1073638888
	.long	0
	.long	3825205248
	.long	2403459497
	.long	1073639255
	.long	0
	.long	1811939328
	.long	2663003072
	.long	1073639623
	.long	0
	.long	1946157056
	.long	519717708
	.long	1073639993
	.long	0
	.long	3623878656
	.long	292786348
	.long	1073640364
	.long	0
	.long	3489660928
	.long	2006519417
	.long	1073640736
	.long	0
	.long	3758096384
	.long	1390355191
	.long	1073641110
	.long	0
	.long	1207959552
	.long	2763762060
	.long	1073641485
	.long	0
	.long	3556769792
	.long	1856369714
	.long	1073641862
	.long	0
	.long	805306368
	.long	2987838709
	.long	1073642240
	.long	0
	.long	3221225472
	.long	1887991651
	.long	1073642620
	.long	0
	.long	3489660928
	.long	2876682767
	.long	1073643001
	.long	0
	.long	1677721600
	.long	1683929095
	.long	1073643384
	.long	0
	.long	1677721600
	.long	2629780050
	.long	1073643768
	.long	0
	.long	1610612736
	.long	1444448625
	.long	1073644154
	.long	0
	.long	3221225472
	.long	2448180957
	.long	1073644541
	.long	0
	.long	2348810240
	.long	1371387531
	.long	1073644930
	.long	0
	.long	2483027968
	.long	2534512748
	.long	1073645320
	.long	0
	.long	1140850688
	.long	1668166133
	.long	1073645712
	.long	0
	.long	3623878656
	.long	3092991906
	.long	1073646105
	.long	0
	.long	939524096
	.long	2539800195
	.long	1073646500
	.long	0
	.long	1140850688
	.long	34469310
	.long	1073646897
	.long	0
	.long	2952790016
	.long	4192913440
	.long	1073647294
	.long	0
	.long	2013265920
	.long	2156311976
	.long	1073647694
	.long	0
	.long	3623878656
	.long	2540782866
	.long	1073648095
	.long	0
	.long	3422552064
	.long	1077644651
	.long	1073648498
	.long	0
	.long	671088640
	.long	2088253343
	.long	1073648902
	.long	0
	.long	1207959552
	.long	1304133643
	.long	1073649308
	.long	0
	.long	1140850688
	.long	3046848533
	.long	1073649715
	.long	0
	.long	3355443200
	.long	3048130494
	.long	1073650124
	.long	0
	.long	2080374784
	.long	1334783805
	.long	1073650535
	.long	0
	.long	4160749568
	.long	2228684947
	.long	1073650947
	.long	0
	.long	2013265920
	.long	1461881132
	.long	1073651361
	.long	0
	.long	4026531840
	.long	3356459892
	.long	1073651776
	.long	0
	.long	0
	.long	3644680317
	.long	1073652193
	.long	0
	.long	1275068416
	.long	2353875349
	.long	1073652612
	.long	0
	.long	2550136832
	.long	3806452208
	.long	1073653032
	.long	0
	.long	2080374784
	.long	3734990918
	.long	1073653454
	.long	0
	.long	3154116608
	.long	2167146615
	.long	1073653878
	.long	0
	.long	939524096
	.long	3425649972
	.long	1073654303
	.long	0
	.long	2751463424
	.long	3243405730
	.long	1073654730
	.long	0
	.long	3154116608
	.long	1648395017
	.long	1073655159
	.long	0
	.long	1275068416
	.long	2963675771
	.long	1073655589
	.long	0
	.long	3288334336
	.long	2922481280
	.long	1073656021
	.long	0
	.long	2483027968
	.long	1553122505
	.long	1073656455
	.long	0
	.long	469762048
	.long	3178988507
	.long	1073656890
	.long	0
	.long	1677721600
	.long	3533644994
	.long	1073657327
	.long	0
	.long	2013265920
	.long	2645736647
	.long	1073657766
	.long	0
	.long	2147483648
	.long	544020258
	.long	1073658207
	.long	0
	.long	2415919104
	.long	1552332466
	.long	1073658649
	.long	0
	.long	536870912
	.long	1404688310
	.long	1073659093
	.long	0
	.long	1342177280
	.long	130183557
	.long	1073659539
	.long	0
	.long	3690987520
	.long	2052995149
	.long	1073659986
	.long	0
	.long	3623878656
	.long	2907479760
	.long	1073660435
	.long	0
	.long	402653184
	.long	2723076130
	.long	1073660886
	.long	0
	.long	1744830464
	.long	1529338217
	.long	1073661339
	.long	0
	.long	2281701376
	.long	3650902949
	.long	1073661793
	.long	0
	.long	3556769792
	.long	527621488
	.long	1073662250
	.long	0
	.long	3623878656
	.long	779330759
	.long	1073662708
	.long	0
	.long	2281701376
	.long	141082833
	.long	1073663168
	.long	0
	.long	1275068416
	.long	2937981865
	.long	1073663629
	.long	0
	.long	4026531840
	.long	610348074
	.long	1073664093
	.long	0
	.long	738197504
	.long	1778489280
	.long	1073664558
	.long	0
	.long	872415232
	.long	2177930288
	.long	1073665025
	.long	0
	.long	4093640704
	.long	1839282544
	.long	1073665494
	.long	0
	.long	536870912
	.long	793277306
	.long	1073665965
	.long	0
	.long	805306368
	.long	3365733402
	.long	1073666437
	.long	0
	.long	402653184
	.long	997688525
	.long	1073666912
	.long	0
	.long	3758096384
	.long	2310170772
	.long	1073667388
	.long	0
	.long	469762048
	.long	3039428052
	.long	1073667866
	.long	0
	.long	1006632960
	.long	3216797738
	.long	1073668346
	.long	0
	.long	3019898880
	.long	2873739857
	.long	1073668828
	.long	0
	.long	67108864
	.long	2041837568
	.long	1073669312
	.long	0
	.long	2952790016
	.long	752797639
	.long	1073669798
	.long	0
	.long	4227858432
	.long	3333418235
	.long	1073670285
	.long	0
	.long	2952790016
	.long	1225720214
	.long	1073670775
	.long	0
	.long	2952790016
	.long	3051718687
	.long	1073671266
	.long	0
	.long	1879048192
	.long	253685142
	.long	1073671760
	.long	0
	.long	2013265920
	.long	1453886301
	.long	1073672255
	.long	0
	.long	2818572288
	.long	2389813543
	.long	1073672752
	.long	0
	.long	2415919104
	.long	3094052583
	.long	1073673251
	.long	0
	.long	2617245696
	.long	3599316672
	.long	1073673752
	.long	0
	.long	1207959552
	.long	3938447098
	.long	1073674255
	.long	0
	.long	939524096
	.long	4144413685
	.long	1073674760
	.long	0
	.long	1342177280
	.long	4250315298
	.long	1073675267
	.long	0
	.long	3154116608
	.long	4289380347
	.long	1073675776
	.long	0
	.long	0
	.long	0
	.long	1073676288
	.long	0
	.long	2013265920
	.long	2150282583
	.long	1073676544
	.long	0
	.long	1543503872
	.long	22413380
	.long	1073676802
	.long	0
	.long	1811939328
	.long	2223202823
	.long	1073677060
	.long	0
	.long	2415919104
	.long	179658211
	.long	1073677320
	.long	0
	.long	1811939328
	.long	2498722336
	.long	1073677580
	.long	0
	.long	3489660928
	.long	607535373
	.long	1073677842
	.long	0
	.long	1342177280
	.long	3113173512
	.long	1073678104
	.long	0
	.long	3355443200
	.long	1442910846
	.long	1073678368
	.long	0
	.long	134217728
	.long	4203958009
	.long	1073678632
	.long	0
	.long	1476395008
	.long	2823724063
	.long	1073678898
	.long	0
	.long	671088640
	.long	1614587843
	.long	1073679165
	.long	0
	.long	3154116608
	.long	594029032
	.long	1073679433
	.long	0
	.long	3892314112
	.long	4074563025
	.long	1073679701
	.long	0
	.long	3489660928
	.long	3483872009
	.long	1073679971
	.long	0
	.long	3087007744
	.long	3134609009
	.long	1073680242
	.long	0
	.long	3623878656
	.long	3044528974
	.long	1073680514
	.long	0
	.long	1543503872
	.long	3231456345
	.long	1073680787
	.long	0
	.long	1275068416
	.long	3713285324
	.long	1073681061
	.long	0
	.long	2751463424
	.long	213012854
	.long	1073681337
	.long	0
	.long	1677721600
	.long	1338608077
	.long	1073681613
	.long	0
	.long	3422552064
	.long	2813208830
	.long	1073681890
	.long	0
	.long	2483027968
	.long	360023814
	.long	1073682169
	.long	0
	.long	1342177280
	.long	2587234755
	.long	1073682448
	.long	0
	.long	3623878656
	.long	923225612
	.long	1073682729
	.long	0
	.long	3355443200
	.long	3976321227
	.long	1073683010
	.long	0
	.long	603979776
	.long	3175049234
	.long	1073683293
	.long	0
	.long	201326592
	.long	2832911413
	.long	1073683577
	.long	0
	.long	2483027968
	.long	2968514791
	.long	1073683862
	.long	0
	.long	2617245696
	.long	3600539222
	.long	1073684148
	.long	0
	.long	3892314112
	.long	452770373
	.long	1073684436
	.long	0
	.long	1207959552
	.long	2133969198
	.long	1073684724
	.long	0
	.long	3489660928
	.long	73101148
	.long	1073685014
	.long	0
	.long	1207959552
	.long	2879074835
	.long	1073685304
	.long	0
	.long	2952790016
	.long	1981003945
	.long	1073685596
	.long	0
	.long	3623878656
	.long	1692978608
	.long	1073685889
	.long	0
	.long	1140850688
	.long	2034196502
	.long	1073686183
	.long	0
	.long	67108864
	.long	3023930441
	.long	1073686478
	.long	0
	.long	3623878656
	.long	386561375
	.long	1073686775
	.long	0
	.long	1677721600
	.long	2731447872
	.long	1073687072
	.long	0
	.long	2483027968
	.long	1488155335
	.long	1073687371
	.long	0
	.long	738197504
	.long	971227379
	.long	1073687671
	.long	0
	.long	1946157056
	.long	1200316940
	.long	1073687972
	.long	0
	.long	603979776
	.long	2195153876
	.long	1073688274
	.long	0
	.long	1879048192
	.long	3975545263
	.long	1073688577
	.long	0
	.long	1006632960
	.long	2266408406
	.long	1073688882
	.long	0
	.long	2415919104
	.long	1382673026
	.long	1073689188
	.long	0
	.long	738197504
	.long	1344379681
	.long	1073689495
	.long	0
	.long	1409286144
	.long	2171647363
	.long	1073689803
	.long	0
	.long	3489660928
	.long	3884673809
	.long	1073690112
	.long	0
	.long	603979776
	.long	2208768513
	.long	1073690423
	.long	0
	.long	3892314112
	.long	1459254918
	.long	1073690735
	.long	0
	.long	1677721600
	.long	1656568848
	.long	1073691048
	.long	0
	.long	2147483648
	.long	2821226106
	.long	1073691362
	.long	0
	.long	2818572288
	.long	678855498
	.long	1073691678
	.long	0
	.long	738197504
	.long	3840068329
	.long	1073691994
	.long	0
	.long	3154116608
	.long	3735687644
	.long	1073692312
	.long	0
	.long	402653184
	.long	386552327
	.long	1073692632
	.long	0
	.long	536870912
	.long	2403517411
	.long	1073692952
	.long	0
	.long	4160749568
	.long	1217650627
	.long	1073693274
	.long	0
	.long	2415919104
	.long	1145003797
	.long	1073693597
	.long	0
	.long	1207959552
	.long	2206743966
	.long	1073693921
	.long	0
	.long	201326592
	.long	129153730
	.long	1073694247
	.long	0
	.long	2013265920
	.long	3523500742
	.long	1073694573
	.long	0
	.long	1744830464
	.long	3821266968
	.long	1073694901
	.long	0
	.long	3154116608
	.long	1043952786
	.long	1073695231
	.long	0
	.long	1946157056
	.long	3803077318
	.long	1073695561
	.long	0
	.long	134217728
	.long	3530374980
	.long	1073695893
	.long	0
	.long	0
	.long	247599590
	.long	1073696227
	.long	0
	.long	4160749568
	.long	2566524700
	.long	1073696561
	.long	0
	.long	3489660928
	.long	1919140156
	.long	1073696897
	.long	0
	.long	805306368
	.long	2622423499
	.long	1073697234
	.long	0
	.long	2013265920
	.long	403503823
	.long	1073697573
	.long	0
	.long	3489660928
	.long	3874498595
	.long	1073697912
	.long	0
	.long	3154116608
	.long	172775623
	.long	1073698254
	.long	0
	.long	3623878656
	.long	2205593651
	.long	1073698596
	.long	0
	.long	67108864
	.long	1405462447
	.long	1073698940
	.long	0
	.long	3758096384
	.long	2089881508
	.long	1073699285
	.long	0
	.long	2483027968
	.long	4281471229
	.long	1073699631
	.long	0
	.long	134217728
	.long	3707973239
	.long	1073699979
	.long	0
	.long	1409286144
	.long	392185343
	.long	1073700329
	.long	0
	.long	2818572288
	.long	2946929168
	.long	1073700679
	.long	0
	.long	2281701376
	.long	2805246734
	.long	1073701031
	.long	0
	.long	1610612736
	.long	4285171876
	.long	1073701384
	.long	0
	.long	2214592512
	.long	3114894117
	.long	1073701739
	.long	0
	.long	2080374784
	.long	3612628206
	.long	1073702095
	.long	0
	.long	3288334336
	.long	1506745287
	.long	1073702453
	.long	0
	.long	4093640704
	.long	1115642441
	.long	1073702812
	.long	0
	.long	738197504
	.long	2462841155
	.long	1073703172
	.long	0
	.long	402653184
	.long	1276987678
	.long	1073703534
	.long	0
	.long	2952790016
	.long	1106826429
	.long	1073676028
	.long	0
	.long	2281701376
	.long	1073043114
	.long	1073676032
	.long	0
	.long	1610612736
	.long	1039783064
	.long	1073676036
	.long	0
	.long	738197504
	.long	1007046295
	.long	1073676040
	.long	0
	.long	3959422976
	.long	974832822
	.long	1073676044
	.long	0
	.long	2483027968
	.long	943142663
	.long	1073676048
	.long	0
	.long	469762048
	.long	911975833
	.long	1073676052
	.long	0
	.long	2080374784
	.long	881332347
	.long	1073676056
	.long	0
	.long	2952790016
	.long	851212222
	.long	1073676060
	.long	0
	.long	2952790016
	.long	821615474
	.long	1073676064
	.long	0
	.long	1879048192
	.long	792542119
	.long	1073676068
	.long	0
	.long	4026531840
	.long	763992172
	.long	1073676072
	.long	0
	.long	603979776
	.long	735965651
	.long	1073676076
	.long	0
	.long	201326592
	.long	708462570
	.long	1073676080
	.long	0
	.long	2550136832
	.long	681482945
	.long	1073676084
	.long	0
	.long	3355443200
	.long	655026793
	.long	1073676088
	.long	0
	.long	2483027968
	.long	629094130
	.long	1073676092
	.long	0
	.long	4160749568
	.long	603684971
	.long	1073676096
	.long	0
	.long	3959422976
	.long	578799333
	.long	1073676100
	.long	0
	.long	1744830464
	.long	554437232
	.long	1073676104
	.long	0
	.long	1744830464
	.long	530598683
	.long	1073676108
	.long	0
	.long	3892314112
	.long	507283702
	.long	1073676112
	.long	0
	.long	3758096384
	.long	484492306
	.long	1073676116
	.long	0
	.long	1275068416
	.long	462224511
	.long	1073676120
	.long	0
	.long	603979776
	.long	440480332
	.long	1073676124
	.long	0
	.long	1744830464
	.long	419259785
	.long	1073676128
	.long	0
	.long	268435456
	.long	398562887
	.long	1073676132
	.long	0
	.long	335544320
	.long	378389653
	.long	1073676136
	.long	0
	.long	1946157056
	.long	358740099
	.long	1073676140
	.long	0
	.long	738197504
	.long	339614242
	.long	1073676144
	.long	0
	.long	805306368
	.long	321012097
	.long	1073676148
	.long	0
	.long	2214592512
	.long	302933680
	.long	1073676152
	.long	0
	.long	536870912
	.long	285379008
	.long	1073676156
	.long	0
	.long	0
	.long	268348096
	.long	1073676160
	.long	0
	.long	536870912
	.long	251840960
	.long	1073676164
	.long	0
	.long	2013265920
	.long	235857616
	.long	1073676168
	.long	0
	.long	201326592
	.long	220398081
	.long	1073676172
	.long	0
	.long	3623878656
	.long	205462369
	.long	1073676176
	.long	0
	.long	3489660928
	.long	191050498
	.long	1073676180
	.long	0
	.long	4160749568
	.long	177162483
	.long	1073676184
	.long	0
	.long	1207959552
	.long	163798341
	.long	1073676188
	.long	0
	.long	3221225472
	.long	150958086
	.long	1073676192
	.long	0
	.long	1543503872
	.long	138641736
	.long	1073676196
	.long	0
	.long	402653184
	.long	126849306
	.long	1073676200
	.long	0
	.long	4093640704
	.long	115580811
	.long	1073676204
	.long	0
	.long	3959422976
	.long	104836269
	.long	1073676208
	.long	0
	.long	4227858432
	.long	94615695
	.long	1073676212
	.long	0
	.long	603979776
	.long	84919106
	.long	1073676216
	.long	0
	.long	1543503872
	.long	75746516
	.long	1073676220
	.long	0
	.long	2885681152
	.long	67097942
	.long	1073676224
	.long	0
	.long	134217728
	.long	58973401
	.long	1073676228
	.long	0
	.long	1946157056
	.long	51372907
	.long	1073676232
	.long	0
	.long	3959422976
	.long	44296477
	.long	1073676236
	.long	0
	.long	1811939328
	.long	37744128
	.long	1073676240
	.long	0
	.long	4160749568
	.long	31715874
	.long	1073676244
	.long	0
	.long	2281701376
	.long	26211733
	.long	1073676248
	.long	0
	.long	603979776
	.long	21231720
	.long	1073676252
	.long	0
	.long	3221225472
	.long	16775850
	.long	1073676256
	.long	0
	.long	1610612736
	.long	12844141
	.long	1073676260
	.long	0
	.long	134217728
	.long	9436608
	.long	1073676264
	.long	0
	.long	2885681152
	.long	6553266
	.long	1073676268
	.long	0
	.long	1476395008
	.long	4194133
	.long	1073676272
	.long	0
	.long	0
	.long	2359224
	.long	1073676276
	.long	0
	.long	2885681152
	.long	1048554
	.long	1073676280
	.long	0
	.long	1409286144
	.long	262141
	.long	1073676284
	.long	0
	.long	0
	.long	0
	.long	1073676288
	.long	0
	.long	1409286144
	.long	131073
	.long	1073676290
	.long	0
	.long	2885681152
	.long	524298
	.long	1073676292
	.long	0
	.long	0
	.long	1179684
	.long	1073676294
	.long	0
	.long	1476395008
	.long	2097237
	.long	1073676296
	.long	0
	.long	2885681152
	.long	3276966
	.long	1073676298
	.long	0
	.long	67108864
	.long	4718880
	.long	1073676300
	.long	0
	.long	1543503872
	.long	6422985
	.long	1073676302
	.long	0
	.long	3019898880
	.long	8389290
	.long	1073676304
	.long	0
	.long	268435456
	.long	10617804
	.long	1073676306
	.long	0
	.long	1879048192
	.long	13108533
	.long	1073676308
	.long	0
	.long	3489660928
	.long	15861486
	.long	1073676310
	.long	0
	.long	939524096
	.long	18876672
	.long	1073676312
	.long	0
	.long	2684354560
	.long	22154097
	.long	1073676314
	.long	0
	.long	268435456
	.long	25693771
	.long	1073676316
	.long	0
	.long	2214592512
	.long	29495700
	.long	1073676318
	.long	0
	.long	0
	.long	33559894
	.long	1073676320
	.long	0
	.long	2214592512
	.long	37886359
	.long	1073676322
	.long	0
	.long	268435456
	.long	42475105
	.long	1073676324
	.long	0
	.long	2818572288
	.long	47326138
	.long	1073676326
	.long	0
	.long	1275068416
	.long	52439468
	.long	1073676328
	.long	0
	.long	4227858432
	.long	57815101
	.long	1073676330
	.long	0
	.long	3087007744
	.long	63453047
	.long	1073676332
	.long	0
	.long	2214592512
	.long	69353313
	.long	1073676334
	.long	0
	.long	1610612736
	.long	75515907
	.long	1073676336
	.long	0
	.long	1342177280
	.long	81940837
	.long	1073676338
	.long	0
	.long	1342177280
	.long	88628111
	.long	1073676340
	.long	0
	.long	1744830464
	.long	95577737
	.long	1073676342
	.long	0
	.long	2550136832
	.long	102789723
	.long	1073676344
	.long	0
	.long	3690987520
	.long	110264077
	.long	1073676346
	.long	0
	.long	1006632960
	.long	118000808
	.long	1073676348
	.long	0
	.long	3154116608
	.long	125999922
	.long	1073676350
	.long	0
	.long	1409286144
	.long	134261429
	.long	1073676352
	.long	0
	.long	268435456
	.long	142785336
	.long	1073676354
	.long	0
	.long	4026531840
	.long	151571650
	.long	1073676356
	.long	0
	.long	4026531840
	.long	160620381
	.long	1073676358
	.long	0
	.long	402653184
	.long	169931537
	.long	1073676360
	.long	0
	.long	1744830464
	.long	179505124
	.long	1073676362
	.long	0
	.long	3758096384
	.long	189341151
	.long	1073676364
	.long	0
	.long	2348810240
	.long	199439627
	.long	1073676366
	.long	0
	.long	1610612736
	.long	209800559
	.long	1073676368
	.long	0
	.long	1811939328
	.long	220423955
	.long	1073676370
	.long	0
	.long	2818572288
	.long	231309823
	.long	1073676372
	.long	0
	.long	536870912
	.long	242458172
	.long	1073676374
	.long	0
	.long	3422552064
	.long	253869008
	.long	1073676376
	.long	0
	.long	3087007744
	.long	265542341
	.long	1073676378
	.long	0
	.long	3825205248
	.long	277478178
	.long	1073676380
	.long	0
	.long	1342177280
	.long	289676528
	.long	1073676382
	.long	0
	.long	67108864
	.long	302137398
	.long	1073676384
	.long	0
	.long	0
	.long	314860796
	.long	1073676386
	.long	0
	.long	1140850688
	.long	327846730
	.long	1073676388
	.long	0
	.long	3623878656
	.long	341095208
	.long	1073676390
	.long	0
	.long	3154116608
	.long	354606239
	.long	1073676392
	.long	0
	.long	4093640704
	.long	368379830
	.long	1073676394
	.long	0
	.long	2281701376
	.long	382415990
	.long	1073676396
	.long	0
	.long	1946157056
	.long	396714726
	.long	1073676398
	.long	0
	.long	3221225472
	.long	411276046
	.long	1073676400
	.long	0
	.long	1811939328
	.long	426099959
	.long	1073676402
	.long	0
	.long	2080374784
	.long	441186472
	.long	1073676404
	.long	0
	.long	4160749568
	.long	456535593
	.long	1073676406
	.long	0
	.long	3825205248
	.long	472147331
	.long	1073676408
	.long	0
	.long	1006632960
	.long	488021694
	.long	1073676410
	.long	0
	.long	134217728
	.long	504158689
	.long	1073676412
	.long	0
	.long	1342177280
	.long	520558324
	.long	1073676414
	.long	0
	.long	268435456
	.long	537220608
	.long	1073676416
	.long	0
	.long	1409286144
	.long	554145548
	.long	1073676418
	.section	.rodata.cst16,"aM",@progbits,16
	.align 16
.LC1:
	.long	1731200998
	.long	4082602951
	.long	804234142
	.long	1074553572
	.align 16
.LC2:
	.long	3037134644
	.long	3137707947
	.long	3014838078
	.long	-1072929461
	.align 16
.LC3:
	.long	4255175226
	.long	3782704399
	.long	1985132591
	.long	1073705300
	.align 16
.LC4:
	.long	0
	.long	0
	.long	0
	.long	1081049088
	.align 16
.LC5:
	.long	1731198976
	.long	4082602951
	.long	804234142
	.long	1073636068
	.align 16
.LC6:
	.long	382011020
	.long	2470005851
	.long	1470134689
	.long	-1080493701
	.align 16
.LC7:
	.long	0
	.long	0
	.long	0
	.long	1080524800
	.align 16
.LC8:
	.long	0
	.long	0
	.long	0
	.long	1074200576
	.align 16
.LC9:
	.long	0
	.long	0
	.long	0
	.long	1079934976
	.align 16
.LC10:
	.long	0
	.long	0
	.long	0
	.long	1074659328
	.align 16
.LC11:
	.long	3256037994
	.long	2448301831
	.long	27272592
	.long	1072865306
	.align 16
.LC12:
	.long	2145632829
	.long	572755554
	.long	3245089314
	.long	1073048598
	.align 16
.LC13:
	.long	733248299
	.long	286331124
	.long	286331153
	.long	1073221905
	.align 16
.LC14:
	.long	3531414641
	.long	1431655719
	.long	1431655765
	.long	1073370453
	.align 16
.LC15:
	.long	1431655766
	.long	1431655765
	.long	1431655765
	.long	1073501525
	.align 16
.LC16:
	.long	0
	.long	0
	.long	0
	.long	1073610752
	.align 16
.LC17:
	.long	0
	.long	0
	.long	0
	.long	65536
	.align 16
.LC18:
	.long	4294967295
	.long	4294967295
	.long	4294967295
	.long	2147483647
	.align 16
.LC19:
	.long	4294967295
	.long	4294967295
	.long	4294967295
	.long	2147418111
	.align 16
.LC20:
	.long	1152451630
	.long	1390727765
	.long	3199038956
	.long	6911849
	.align 16
.LC21:
	.long	0
	.long	0
	.long	0
	.long	2147352576
